# WOK
TKWOK
WOKBuilder

# WOKBuilder_ToolInProcess Class Reference

`#include <WOKBuilder_ToolInProcess.hxx>`

Inheritance diagram for WOKBuilder_ToolInProcess:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Load ()
Standard_EXPORT void | Load (const Handle(WOKUtils_Path)&alibrary, const Handle(TCollection_HAsciiString)&afunc)
Standard_EXPORT Handle_TCollection_HAsciiString | Shared () const
Standard_EXPORT void | SetShared (const Handle(TCollection_HAsciiString)&ashared)
Standard_EXPORT OSD_Function | Function () const
Standard_EXPORT void | UnLoad ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_ToolInProcess (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)

## Private Attributes

OSD_SharedLibrary | mylib
Handle_TCollection_HAsciiString | myshared
OSD_Function | myfunc

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_ToolInProcess::WOKBuilder_ToolInProcess | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT OSD_Function WOKBuilder_ToolInProcess::Function | ( |  | ) | const

Standard_EXPORT const WOKBuilder_ToolInProcess::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_Tool. Reimplemented in WOKBuilder_MSClientExtractor, WOKBuilder_MSEngineExtractor, WOKBuilder_MSExtractor, WOKBuilder_MSHeaderExtractor, WOKBuilder_MSJiniExtractor, WOKBuilder_MSServerExtractor, WOKBuilder_MSTemplateExtractor, WOKBuilder_MSTool, WOKBuilder_MSTranslator, WOKDFLT_MSDFLTExtractor, WOKOBJS_MSSchExtractor, and WOKOrbix_IDLTranslator.

Standard_EXPORT void WOKBuilder_ToolInProcess::Load | ( | const Handle(WOKUtils_Path)& | alibrary,
|  | const Handle(TCollection_HAsciiString)& | afunc
| ) |

virtual Standard_EXPORT void WOKBuilder_ToolInProcess::Load | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool. Reimplemented in WOKBuilder_MSExtractor, WOKBuilder_MSTranslator, and WOKOrbix_IDLTranslator.

Standard_EXPORT void WOKBuilder_ToolInProcess::SetShared | ( | const Handle(TCollection_HAsciiString)& | ashared | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_ToolInProcess::Shared | ( |  | ) | const

Standard_EXPORT void WOKBuilder_ToolInProcess::UnLoad | ( |  | ) |

## Field Documentation

OSD_Function WOKBuilder_ToolInProcess::myfunc `[private]`

OSD_SharedLibrary WOKBuilder_ToolInProcess::mylib `[private]`

Handle_TCollection_HAsciiString WOKBuilder_ToolInProcess::myshared `[private]`

| Reimplemented in WOKBuilder_MSExtractor.

The documentation for this class was generated from the following file:

- WOKBuilder_ToolInProcess.hxx